Tento repozitář obsahuje všechny články na OK1KVK.cz

Články jsou v souborech articles/ROK-VYTVORENI/clanek.md

Každý článek má svůj soubor.

## Formát souboru

    ```

    title = "Nadpis článku
    perex = """
    Krátký úvod článku (doporučuji max 255 znaků). Není nutný.
    Pokud není přítomen tak se vygeneruje z úvodní části článku
    """
    tags = ["Seznam", "Různých tagů", "I s háčky"]

    ```

    Text článku v [markdownu](https://daringfireball.net/projects/markdown/syntax)

Toto se commitne do repozitáře. Datum vydání článku a jeho autor se berou z commitu.

Dbejte na smysluplnost commit zprávy. Nebuďte líní ;). Může se stát, že v budoucnu se bude
historie zobrazovat někde u článku (třeba po kliknutí na datum modifikace). Příklady:

 * Přidán článek Hello world
 * Opraven odkaz na wikipedii
 * Smazán článek Hello world

Každý článek by měl mít tag "Článek" - jinak se nezobrazí v seznamu článků.

## Metadata souboru

To je to mezi ```` ``` ```` a ```` ``` ```` ;)

 * title - nadpis článku
 * perex - Úvodník
 * perex_e - Nevyplňovat! Automaticky exportovaný úvodník. Je automaticky zkrácen na 255 znaků
 * image - titulní obrázek článku. Tento by měl být umístěn v static/images/leads/OBRAZEK.png,
    nebo ve složce článku. Preferujte png
 * tags - Seznam tagů
 * [author] - Počátek sekce pojednávající o autorovi, pokud chybí je vytvořena z git historie
    * name - jméno autora
 * [date]
     * creation - datum vytvoření
 * nodate=true - indikuje, že by se nemělo zobrazovat datum vytvoření

## Standartní kategorie:

- O nás
    - O radioklubu
    - Kontakt
    - Kroužek mládeže
    - Podporují nás
    - Pro členy RK
- Aktuality
    - Všechny aktuality
    - Proběhlé akce
        - prezentace RK
        - radioamatérské závody
        - akce pro veřejnost
    - Pozvánky
        - výroční schůze
        - grilovačka na Blaťáku
    - Stalo se
        - píší o nás
        - něco jsme dostali
        - SK
- Články
    - Všechny články
    - Programování
        - C/C++
        - Vala
        - Javascript
    - Mikroprocesory
        - avr-gcc
        - Periferie
        - Knihovny
        - AVR LED panel
        - AVR LCD panel
    - Elektronika
        - Konstrukce pro začátečníky
        - HAM konstrukce
        - Konstrukce s mikroprocesorem
    - Technické články

## Rozšíření markdownu

Můžete stanovit velikost obrázku. A to ať už šířku nebo výšku

    ![Popisek](obr.png =x123) <- výška je 123px šířka se dopočítá
    ![Popisek](obr.png =123x) <- šířka je 123px výška se dopočítá
    ![Popisek](obr.png =123x666) <- šířka je 123px, výška je 666px

Můžete stanovit, že obrázek nebude generovat lightbox (nezvětší se po kliknutí).
Užitečné pokud obrázek má být odkaz

    ![Popisek](obr.png =nolightbox)
    ![Popisek](obr.png =123x,nolightbox) <- pokud chcete i stanovit šířku tak oddělte čárkou
    [![popisek](obr.png =nolightbox)](http://example.com) <- obrázek je odkaz
